### Method

# Pos CompleterManager get_info

#### Declaration [src]

    PosCompletionInfo*
    pos_completer_manager_get_info (
      PosCompleterManager* self,
      const char* engine,
      const char* lang,
      const char* region,
      GError** error
    )

#### Description [src]

Get an info object that can later be used to select a completer for a given language.

Given the engine name and a language fills in the necessary information and initializes the completion engine. The returned object can be used with PosCompletionManagre.set_from_info to select the given completer for completion.

This method is not directly available to language bindings.

#### Parameters

`engine`

  Type: `const char*`

  The desired completion engine.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`lang`

  Type: `const char*`

  The desired language to use with `engine`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`region`

  Type: `const char*`

  The desired region to use with `engine`

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `PosCompletionInfo`

The completer information or `NULL` on error.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.